<?php  session_start();
if (!isset($_SESSION['id'])) { header("Location: ../index/index.php"); exit(); }
?>


<?php
/**
 * ARQUIVO: buscar_produto.php
 */
include '../config.php';
require_once "../configuracao/conexao.php";

$busca = $_GET['q'] ?? '';

if (!empty($busca)) {
    // t1 = Produtos | t2 = Grupos | t3 = Unidades | t4 = Tipos
    $sql = "SELECT 
                t1.reg_0200_cod_item, 
                t1.reg_0200_descr_item, 
                t1.reg_0200_preco, 
                t3.reg_0190_unid AS reg_0200_unid_inv, 
                t2.descricao AS reg_0200_grupo, 
                t4.reg_0200_tipo_item_codigo AS reg_0200_tipo_item_produt 
            FROM reg_0200 AS t1
            LEFT JOIN grupo_produto AS t2 ON t1.reg_0200_grupo = t2.codigo
            LEFT JOIN reg_0190 AS t3 ON t1.reg_0200_unid_inv = t3.codigo
            LEFT JOIN reg_0200_tipo_item AS t4 ON t1.reg_0200_tipo_item_produt = t4.codigo
            WHERE (t1.reg_0200_descr_item LIKE ? OR t1.reg_0200_cod_item LIKE ?) 
            AND t1.ativo = 'S' and t1.reg_0200_tipo_item_produt='9'
            LIMIT 15";

    $stmt = $mysqli->prepare($sql);
    
    $param = "%$busca%";
    $stmt->bind_param("ss", $param, $param);
    
    $stmt->execute();
    
    $result = $stmt->get_result();
    $produtos = $result->fetch_all(MYSQLI_ASSOC);

    echo json_encode($produtos);
}